## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMSupportDefault Class Reference

`#include <DOMSupportDefault.hpp>`

Inheritance diagram for DOMSupportDefault:

[legend]
Collaboration diagram for DOMSupportDefault:

[legend]
List of all members.

## Public Methods

- DOMSupportDefault (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
- virtual ~DOMSupportDefault ()
- virtual void reset ()
- virtual const XalanDOMString& getUnparsedEntityURI (const XalanDOMString &theName, const XalanDocument &theDocument) const
    Retrieves the URI of the named unparsed entity from the supplied document. More...
- virtual bool isNodeAfter (const XalanNode &node1, const XalanNode &node2) const
    Determine if a node is after another node, in document order. More...

## Constructor & Destructor Documentation

DOMSupportDefault::DOMSupportDefault ( | MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

DOMSupportDefault::~DOMSupportDefault ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & DOMSupportDefault::getUnparsedEntityURI ( | const XalanDOMString & theName,
| const XalanDocument & theDocument ) const`[virtual]`

  | Retrieves the URI of the named unparsed entity from the supplied document. Parameters:
  theName | The name of the entity
  theDocument | The document that contains the entity
Returns: The URI of the entity Reimplemented from DOMSupport.

bool DOMSupportDefault::isNodeAfter ( | const XalanNode & node1,
| const XalanNode & node2 ) const`[virtual]`

  | Determine if a node is after another node, in document order. Parameters:
  node1 | The first node
  node2 | The second node
Returns: true if node1 one is after node2, or false if it is not. Reimplemented from DOMSupport.

void DOMSupportDefault::reset ( | )`[virtual]`

| Reimplemented from DOMSupport.

The documentation for this class was generated from the following file:

- DOMSupportDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.